Skip to content

DAM 26.0 (Draft)

Version 26.0
Release Date N/A

Changes

New features

None

Enhancements

None

Deprecations

None

Breaking changes

Files API

Change Details
GET /api/{culture}/files/by-path Removed. Use the Search endpoint with FilePath filter instead.
fileTypeId and removeFileType on PUT /api/{culture}/files/{fileId} Removed. Use the attribute system to categorize files instead.
fileType on the File and ImportFileResult response models Removed. Use the attribute system to categorize files instead.
fileTypeId on the FileDetails response model Removed. Use the attribute system to categorize files instead.
fileTypeName on the SearchResultItem response model Removed. Use the attribute system to categorize files instead.

SDK Client

API endpoint names have been renamed to use more descriptive, action-first naming conventions. If you are using the generated SDK client, the method names will change accordingly.

TransformationFunctionsController
Old Name New Name
TransformationFunctions_List ListTransformationFunctions
TransformationFunctions_Get GetTransformationFunction
TransformationFunctions_Create CreateTransformationFunction
TransformationFunctions_Delete DeleteTransformationFunction
SettingsController
Old Name New Name
Settings_GetCdnSettings GetCdnSettings
PermissionsController
Old Name New Name
Permissions_SingleByName GetPermissionsByRoleName
Permissions_UpdatedPermissions UpdateRolePermissions
ImageDescriptionController
Old Name New Name
ImageDescription_GenerateDescriptions GenerateImageDescriptions
ImageDescription_SaveSettings SaveImageDescriptionSettings
ImageDescription_GetSettings GetImageDescriptionSettings
CultureController
Old Name New Name
Culture_List ListCultures
CdnRecordsController
Old Name New Name
CdnRecords_Create CreateCdnRecord
CdnRecords_Get GetCdnRecord
CdnRecords_List ListCdnRecords
CdnRecords_Delete DeleteCdnRecord
WebHooksController
Old Name New Name
WebHooks_Subscribe CreateWebHookSubscription
WebHooks_Unsubscribe DeleteWebHookSubscription
FoldersController
Old Name New Name
Folders_Create CreateFolder
Folders_Root GetRootFolder
Folders_Delete DeleteFolder
Folders_SetPermissions SetFolderPermissions
Folders_Children ListFolderChildren
Folders_Files ListFilesInFolder
Folders_Single GetFolder
Folders_ListByName ListFoldersByName
Folders_DeleteMany DeleteFolders
Folders_Attributes AddAttributesToFilesInFolders
FilesController
Old Name New Name
Files_Search SearchFiles
Files_ListNames ListFileNames
Files_ImportFromUrl ImportFileFromUrl
Files_ImportFromByteData ImportFileFromByteData
Files_Update UpdateFile
Files_UpdateLocation MoveFile
Files_Get GetFile
Files_AttributesWithValuesCategorized GetFileAttributesCategorized
Files_Delete DeleteFiles
Files_Attributes AddFileAttributes
Files_ChosenInfo GetFileInformation
Files_ReplaceFileFromUrl ReplaceFileFromUrl
BulkOperationsController
Old Name New Name
BulkOperations_GetTagsFromFiles SearchFileTags
BulkOperations_AddTagsToFiles AddTagsToFiles
BulkOperations_RemoveFileAttributesOrTags RemoveFileAttributesOrTags
AttributeValuesController
Old Name New Name
AttributeValues_Search SearchAttributeValues
AttributeValues_Copy CopyAttributeValues
AttributesController
Old Name New Name
Attributes_CreateString CreateStringAttribute
Attributes_CreateInteger CreateIntegerAttribute
Attributes_CreateBoolean CreateBooleanAttribute
Attributes_CreateDecimal CreateDecimalAttribute
Attributes_CreateDateTimeOffset CreateDateTimeOffsetAttribute
Attributes_GetAll ListAttributes
AttributeFacetsController
Old Name New Name
AttributeFacets_ByAttributeIdAndValue SearchAttributeFacets
Enum types extracted from inline definitions

Enum values were previously defined per enum property. These have been extracted into shared enum types. SDK clients will need to update references to these properties to use the new enum types. The following table summarizes the changes:

Property (old inline enum) New Enum Type
AttributeDef.indexType, BooleanAttribute.indexType, CreateBooleanAttribute.indexType, CreateDateTimeOffsetAttribute.indexType, CreateDecimalAttribute.indexType, CreateIntegerAttribute.indexType, CreateStringAttribute.indexType, DateTimeOffsetAttribute.indexType, DecimalAttribute.indexType, IntegerAttribute.indexType, StringAttribute.indexType, TagAttribute.indexType AttributeIndexType
MediaBankAttributeDescriptor.attributeType AttributeType
BooleanAttribute.owner, DateTimeOffsetAttribute.owner, DecimalAttribute.owner, IntegerAttribute.owner, StringAttribute.owner, TagAttribute.owner Owner
SearchQuery.sortOptions SortingOptions
CreateTransformationFunctionModel.outputFormat, TransformationFunctionModel.outputFormat OutputFormatModel
TransformationStepModel.horizontalPosition HorizontalPositionModel
TransformationStepModel.verticalPosition VerticalPositionModel
TransformationStepModel.type TransformationTypeModel
sortOptions path parameter on ListFilesInFolder FileSortingOptions
eventType path parameter on CreateWebHookSubscription WebHookEventType
FileDetails.jpegExportType, UpdateFileMasterDataParameters.jpegExportType JpegExportType
FileDetails.minimumAllowedBitDepth, UpdateFileMasterDataParameters.minimumAllowedBitDepth MinimumAllowedBitDepth